import api from '../api/api';
import { User } from '../types/user';

export class UserService {
  static async getProfile(): Promise<User> {
    console.log('getProfile');
    const user = api.getProfile();

    return user;
  }

  static async getUsers(page: number = 1, limit: number = 10): Promise<any> {
    const users = api.getUsers(page, limit);
    return users;
  }
}
